## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Currently disabled because the BR isn't available in Fedora
%bcond_with tests

%global forgeurl https://github.com/savoirfairelinux/num2words

%global _description %{expand:
Convert numbers to words in multiple languages, it is a library that converts
numbers like ``42`` to words like ``forty-two``.  It supports multiple
languages (English, French, Spanish, German and Lithuanian) and can even
generate ordinal numbers like ``forty-second``.}

Name:           python-num2words
Version:        0.5.13
Release:        %autorelease
Summary:        Module to convert numbers to words

%forgemeta

# spdx
License:        LGPL-2.0-or-later
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  help2man

%description %_description

%package -n python3-num2words
Summary:        %{summary}

%if %{with tests}
BuildRequires:  %{py3_dist delegator.py}
%endif

%description -n python3-num2words %_description

%prep
%forgesetup
# Remove bundled egg-info
rm -rf num2words.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files num2words

# generate man pages
for binary in "num2words"
do
    echo "Generating man page for ${binary// /-/}"
    PYTHONPATH="$PYTHONPATH:%{buildroot}/%{python3_sitelib}/" PATH="$PATH:%{buildroot}/%{_bindir}/" help2man --no-info --no-discard-stderr --name="${binary}" --version-string="${binary} %{version}" --output="${binary// /-}.1" "${binary}"
    cat "${binary// /-}.1"
    install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 -D "${binary// /-}.1"
done

%check
%pyproject_check_import
%if %{with tests}
%{__python3} setup.py test
%endif

%files -n python3-num2words -f %{pyproject_files}
%doc README.rst
%{_bindir}/num2words
%{_mandir}/man1/num2words.*

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.13-3
- chore: use forgesetup

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.13-2
- feat: use automated BRs

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.13-1
- feat: update to 0.5.13 (fixes rh#2244859)

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.12-8
- chore: add/update packit

* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.5.12-7
- feat: modernise spec

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.5.12-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Alessio <alciregi@fedoraproject.org> - 0.5.12-1
- Update to v0.5.12

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.10-12
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.10-9
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.5.10-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.10-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.10-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 18 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.10-1
- Update to new version
- Use macro for description
- Use autosetup
- Use pypi source macro
- Add disabled tests: missing BR
- Add binary to file list

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Sep 23 2018 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.7-3
- Remove python2 subpackage
  BZ#1628564

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 William Moreno Reyes <williamjmorenor@gmail.com> - 0.5.7-1
- Update to v0.5.7
- Update summary

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.6-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.5.6-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Dec 29 2017 williamjmorenor@gmail.com - 0.5.6-1
- v0.5.6

* Sat Sep 30 2017 williamjmorenor@gmail.com - 0.5.5-1
- Update to v0.5.5 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 William Moreno <williamjmorenor@gmail.com> - 0.5.4-1
- Update to v0.5.4

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.5.3-11
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 09 2016 William Moreno <williamjmorenor@gmail.com> - 0.5.3-9
- Fix depencies for python2 subpackage

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Kalev Lember <klember@redhat.com> - 0.5.3-7
- Add missing provides/obsoletes to the python2 subpackage

* Tue Nov 17 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.3-6
- Diferent directories for py2 and py3

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Sep 16 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.5.3-4
- Update python macros
- Include subpackages for python 2 and 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com>
- 0.5.3-2
- Fix requires python3 for python2 package

* Tue Jun 09 2015 Fedora <williamjmorenor@gmail.com>
- 0.5.3-1
- Update to 0.5.3 release

* Wed Jun 03 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-6
- Initial importing of #1223623

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-5
- Exclude test files

* Tue Jun 02 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-4
- Move test files under the %%{pypi_name} directory
- Include test files in a devel package
- Fix %%license tag

* Sat May 30 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-3
- Add suport for Pyhton3
- Use %%license file from Github
- Include test files in package

* Fri May 29 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-2
- Remove /test after %%check

* Thu May 21 2015 William Moreno Reyes <williamjmorenor at gmail.com>
- 0.5.2-1
- Initial package.

## END: Generated by rpmautospec
